summaryrefslogtreecommitdiffstats
path: root/Misc/build.sh
diff options
context:
space:
mode:
authorGeorg Brandl <georg@python.org>2010-01-03 14:30:52 (GMT)
committerGeorg Brandl <georg@python.org>2010-01-03 14:30:52 (GMT)
commit5812bdf0981b3ba73accd544b8dd8f495c0a5ea3 (patch)
tree1be0266e536dd90a0dccbf7567dfe9549936dc5a /Misc/build.sh
parentfbbb9bdeffe964b7ec3d6144faa9c46a307721fe (diff)
downloadcpython-5812bdf0981b3ba73accd544b8dd8f495c0a5ea3.zip
cpython-5812bdf0981b3ba73accd544b8dd8f495c0a5ea3.tar.gz
cpython-5812bdf0981b3ba73accd544b8dd8f495c0a5ea3.tar.bz2
Merged revisions 77266,77279 via svnmerge from
svn+ssh://pythondev@svn.python.org/python/trunk ........ r77266 | kurt.kaiser | 2010-01-03 09:36:45 +0100 (So, 03 Jan 2010) | 6 lines r77152 to Doc/Makefile broke doc build due to (at least some) make binaries running clean prereq after checkout. 1. So, fix the insane make call in build.sh - seems to solve it. 2. Fix a missing redirection. 3. Check in the rsync opts that actually work during upload. ........ r77279 | georg.brandl | 2010-01-03 14:05:39 +0100 (So, 03 Jan 2010) | 1 line Update doc build step. ........
Diffstat (limited to 'Misc/build.sh')
-rwxr-xr-xMisc/build.sh26
1 files changed, 5 insertions, 21 deletions
diff --git a/Misc/build.sh b/Misc/build.sh
index 409b346..8bd2635 100755
--- a/Misc/build.sh
+++ b/Misc/build.sh
@@ -55,7 +55,7 @@ REMOTE_SYSTEM="neal@dinsdale.python.org"
REMOTE_DIR="/data/ftp.python.org/pub/docs.python.org/dev/py3k"
RESULT_FILE="$DIR/build/index.html"
INSTALL_DIR="/tmp/python-test-3.2/local"
-RSYNC_OPTS="-aC -e ssh"
+RSYNC_OPTS="-C -e ssh -rlogD"
# Always run the installed version of Python.
PYTHON=$INSTALL_DIR/bin/python
@@ -136,7 +136,7 @@ mail_on_failure() {
## setup
cd $DIR
-make clobber /dev/null 2>&1
+make clobber > /dev/null 2>&1
cp -p Modules/Setup.dist Modules/Setup
# But maybe there was no Makefile - we are only building docs. Clear build:
rm -rf build/
@@ -259,25 +259,9 @@ fi
cd $DIR/Doc
F="make-doc.out"
start=`current_time`
-# XXX(nnorwitz): For now, keep the code that checks for a conflicted file until
-# after the first release of 2.6a1 or 3.0a1. At that point, it will be clear
-# if there will be a similar problem with the new doc system.
-
-# Doc/commontex/boilerplate.tex is expected to always have an outstanding
-# modification for the date. When a release is cut, a conflict occurs.
-# This allows us to detect this problem and not try to build the docs
-# which will definitely fail with a conflict.
-#CONFLICTED_FILE=commontex/boilerplate.tex
-#conflict_count=`grep -c "<<<" $CONFLICTED_FILE`
-conflict_count=0
-if [ $conflict_count != 0 ]; then
- echo "Conflict detected in $CONFLICTED_FILE. Doc build skipped." > ../build/$F
- err=1
-else
- make clean > ../build/$F 2>&1
- make checkout update html >> ../build/$F 2>&1
- err=$?
-fi
+make clean > ../build/$F 2>&1
+make checkout html >> ../build/$F 2>&1
+err=$?
update_status "Making doc" "$F" $start
if [ $err != 0 ]; then
NUM_FAILURES=1